%define _disable_exceptions 1
%define build_bootstrap 0
%{?_with_bootstrap: %{expand: %%global build_bootstrap 1}}

%define snapshot 0
%define date 20130523

%if ! 0%{?build_bootstrap}
%define build_docs 1
%else
%define build_docs 0
%endif
%ifarch %{arm}
%define build_docs 0
%endif


%bcond_without postgres
%bcond_without mysql
%bcond_without sqlite
%bcond_without tds
%bcond_without cups
%bcond_with qvfb
%bcond_without examples
%bcond_without odbc

%bcond_with debug
%bcond_with ibase

%define qtmajor 5
%define qtminor 6
%define qtsubminor 2
%define pre rc

%define rel 11

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt %mklibname qt5base %qtmajor
%define libqtdevel %mklibname qt5base %qtmajor -d

%define libqtcore %mklibname qt5core %qtmajor
%define libqtcore_d %mklibname qt5core -d

%define libqtconcurrent %mklibname qt5concurrent %qtmajor
%define libqtconcurrent_d %mklibname qt5concurrent -d

%define libqtdbus %mklibname qt5dbus %qtmajor
%define libqtdbus_d %mklibname qt5dbus  -d

%define libqtsql %mklibname qt5sql %qtmajor
%define libqtsql_d %mklibname qt5sql -d

%define libqtgui %mklibname qt5gui %qtmajor
%define libqtgui_d %mklibname qt5gui -d

%define libqtnetwork %mklibname qt5network %qtmajor
%define libqtnetwork_d %mklibname qt5network -d

%define libqtopengl %mklibname qt5opengl %qtmajor
%define libqtopengl_d %mklibname qt5opengl -d

%define libqtprintsupport %mklibname qt5printsupport %qtmajor
%define libqtprintsupport_d %mklibname qt5printsupport -d

%define libqttest %mklibname qt5test %qtmajor
%define libqttest_d %mklibname qt5test -d

%define libqtwidgets %mklibname qt5widgets %qtmajor
%define libqtwidgets_d %mklibname qt5widgets -d

%define libqtxml %mklibname qt5xml %qtmajor
%define libqtxml_d %mklibname qt5xml -d

%define libqtbootstrap %mklibname qt5bootstrap %qtmajor
%define libqtbootstrap_d %mklibname qt5bootstrap -d

%define libqtplatformsupport %mklibname qt5platformsupport %qtmajor
%define libqtplatformsupport_d %mklibname qt5platformsupport -d

%define libqtegldeviceintegration %mklibname qt5egldeviceintegration %qtmajor
%define libqtegldeviceintegration_d %mklibname qt5egldeviceintegration -d

%define libqtxcbqpa %mklibname qt5xcbqpa %qtmajor
%define libqtxcbqpa_d %mklibname qt5xcbqpa -d

%define _qt5_prefix %_libdir/qt5
%define _qt5_datadir %{_qt5_prefix}
%define _qt5_bindir %{_qt5_prefix}/bin
%define _qt5_docdir %_docdir/qt5
%define _qt5_libdir %_libdir
%define _qt5_includedir %{_qt5_prefix}/include
%define _qt5_plugindir %{_qt5_prefix}/plugins
%define _qt5_demosdir %{_qt5_prefix}/demos
%define _qt5_examplesdir %{_qt5_prefix}/examples
%define _qt5_importdir %{_qt5_prefix}/imports
%define _qt5_testsdir %{_qt5_prefix}/tests
%define _qt5_translationdir %{_datadir}/qt5/translations
%define _qt5_settingsdir %{_sysconfdir}/xdg
%define _qt5_sysconfdir %{_qt5_settingsdir}

%if %snapshot
%define qttarballdir qtbase-opensource-src-%{qtversion}-%pre
%else
%define qttarballdir qtbase-opensource-src-%{qtversion}
%endif


# Do not check any files in %%{_qt5_plugindir}/platformthemes/ for requires.
# Those themes are there for platform integration. If the required libraries are
# not there, the platform to integrate with isn't either. Then Qt will just
# silently ignore the plugin that fails to load. Thus, there is no need to let
# RPM drag in gtk2 as a dependency for the GTK+ 2 dialog support.
%global __requires_exclude_from ^%{_qt5_plugindir}/platformthemes/.*$

Name: qtbase5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%qttarballdir.tar.gz
Source2: qt5.macros
# xinitrc script to check for OpenGL 1 only drivers and automatically set
# QT_XCB_FORCE_SOFTWARE_OPENGL for them
Source3: qt5-fedora-check-opengl2.sh

#Branch Patchs

#Trunk Patchs
#Patch from Mageia
# (blino) revert upstream patch that forbids -reduce-relocations on ARM
# since -Bsymbolic is fixed on ARM in ld 2.25 (QTBUG-36129 and binutils#16715)
Patch100: qtbase5-revert-old-arm-linker-limitation.patch
Patch101: qtbase-opensource-src-%{qtversion}-fix-review-140750.patch

# Security patches
Patch1000: 0001-Fix-open-chmod-race-condition-in-QSaveFile.patch

# Testing patches

BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-image)
BuildRequires: pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(xcb-keysyms)
BuildRequires: pkgconfig(xcb-renderutil)
BuildRequires: pkgconfig(xkbcommon) >= 0.4.1
BuildRequires: pkgconfig(libinput)
BuildRequires: pkgconfig(xcb-xkb) >= 1.10
BuildRequires: pkgconfig(xkbcommon-x11) >= 0.4.1
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(gl)
BuildRequires: mesa-common-devel
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libpng)
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: libmng-devel
BuildRequires: pkgconfig(lcms)
BuildRequires: cups-devel
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: expat-devel
BuildRequires: pkgconfig(dbus-1) >= 0.92
BuildRequires: termcap-devel
BuildRequires: libpam-devel
BuildRequires: readline-devel
BuildRequires: perl
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: binutils >= 2.18
# For qtgtk style
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-app-1.0)
#BuildRequires: pkgconfig(vg)
BuildRequires: cmake-rpm-macros
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(harfbuzz) >= 0.9.42
BuildRequires: pkgconfig(libproxy-1.0)
BuildRequires: pkgconfig(tslib-1.0)

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run Qt
applications, as well as the README files for Qt.

#------------------------------------------------------------------------------

%package common
Summary: Qt%{qtmajor} Config and Language Files
Group: Development/KDE and Qt
Provides: qt5-common = %version-%release
Obsoletes: qt5-common 
#TODO Mga6: Split qttranslations5 into subpackages
%if %{build_bootstrap}
Requires:  qttranslations5 
%endif

%description common
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

Configuration and language files for Qt%{qtmajor}.

%files common
%attr(0755,root,root) %{_sysconfdir}/profile.d/*
%dir %{_qt5_bindir}
%{_qt5_bindir}/syncqt.pl
%dir %{_qt5_plugindir}
%{_qt5_plugindir}/generic
%{_qt5_plugindir}/bearer
%dir %{_qt5_docdir}
%{_qt5_docdir}/global

#------------------------------------------------------------------------------

%package examples
Summary: Example programs made with Qt%{qtmajor}
Group:   Documentation
Provides: qt5-examples = %version-%release
Obsoletes: qt5-examples

%description examples
Example programs made with Qt%{qtmajor}.

%files examples
%{_qt5_examplesdir}

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtBase%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtBase5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/*.qch
%{_qt5_docdir}/qmake/
%{_qt5_docdir}/qtconcurrent/
%{_qt5_docdir}/qtcore/
%{_qt5_docdir}/qtdbus/
%{_qt5_docdir}/qtgui/
%{_qt5_docdir}/qtnetwork/
%{_qt5_docdir}/qtopengl/
%{_qt5_docdir}/qtplatformheaders/
%{_qt5_docdir}/qtprintsupport/
%{_qt5_docdir}/qtsql/
%{_qt5_docdir}/qttestlib/
%{_qt5_docdir}/qtwidgets/
%{_qt5_docdir}/qtxml/
%endif

#------------------------------------------------------------------------------

%if ! %without odbc

%package -n %{_lib}qt5-database-plugin-odbc
Summary: Qt%{qtmajor} Database ODBC Database Plugin
Group: Databases
Provides: qt5-database-plugin-odbc = %version-%release
Obsoletes: qt5-database-plugin-odbc

Provides:  qtbase5-database-plugin-odbc = %version-%release
Obsoletes: qtbase5-database-plugin-odbc < 5.5.1-2

BuildRequires: unixODBC-devel
 
%description -n %{_lib}qt5-database-plugin-odbc
The QODBC driver allows you to connect to an ODBC (Open Database 
Connectivity) driver manager and access the available data sources.

%files -n %{_lib}qt5-database-plugin-odbc
%{_qt5_plugindir}/sqldrivers/libqsqlodbc.so

%endif

#------------------------------------------------------------------------------

%if ! %without mysql

%package -n %{_lib}qt5-database-plugin-mysql
Summary: Qt%{qtmajor} MYSQL Database Plugin
Group: Databases
BuildRequires: mysql-devel
Provides: qt5-database-plugin-mysql = %version-%release
Obsoletes: qt5-database-plugin-mysql

Provides:  qtbase5-database-plugin-mysql = %version-%release
Obsoletes: qtbase5-database-plugin-mysql < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-mysql
Database plugin for mysql Qt support.

%files -n %{_lib}qt5-database-plugin-mysql
%{_qt5_plugindir}/sqldrivers/libqsqlmysql.so

%endif

#------------------------------------------------------------------------------

%if ! %without sqlite

%package -n %{_lib}qt5-database-plugin-sqlite
Summary: Qt%{qtmajor} SQLITE Database Plugin
Group: Databases
BuildRequires: sqlite3-devel
Provides: qt5-database-plugin-sqlite = %version-%release
Obsoletes: qt5-database-plugin-sqlite

Provides:  qtbase5-database-plugin-sqlite = %version-%release
Obsoletes: qtbase5-database-plugin-sqlite < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-sqlite
The Qt SQLite plugin makes it possible to access SQLite databases.

%files -n %{_lib}qt5-database-plugin-sqlite
%{_qt5_plugindir}/sqldrivers/libqsqlite.so
%endif

#------------------------------------------------------------------------------

%if ! %without tds

%package -n %{_lib}qt5-database-plugin-tds
Summary: Qt%{qtmajor} FREETDS Database Plugin
Group: Databases
BuildRequires: freetds-devel
Provides: qt5-database-plugin-tds = %version-%release
Obsoletes: qt5-database-plugin-tds

Provides:  qtbase5-database-plugin-tds = %version-%release
Obsoletes: qtbase5-database-plugin-tds < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-tds
Database plugin for freetds Qt support.

%files -n %{_lib}qt5-database-plugin-tds
%{_qt5_plugindir}/sqldrivers/libqsqltds.so

%endif

#------------------------------------------------------------------------------

%if %with ibase

%package -n %{_lib}qt5-database-plugin-ibase
Summary: Qt%{qtmajor} Interbase Database Plugin
Group: Databases
BuildRequires: firebird-devel
Provides: qt5-database-plugin-ibase = %version-%release
Obsoletes: qt5-database-plugin-ibase

Provides:  qtbase5-database-plugin-ibase = %version-%release
Obsoletes: qtbase5-database-plugin-ibase < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-ibase
Database plugin for interbase Qt support.

%files -n %{_lib}qt5-database-plugin-ibase
%{_qt5_plugindir}/sqldrivers/libqsqlibase.so

%endif

#------------------------------------------------------------------------------

%if ! %without postgres

%package -n %{_lib}qt5-database-plugin-pgsql
Summary: Qt%{qtmajor} PGSQL Database Plugin
Group: Databases
BuildRequires: postgresql-devel
BuildRequires: libpq-devel
Provides: qt5-database-plugin-pgsql = %version-%release
Obsoletes: qt5-database-plugin-pgsql

Provides:  qtbase5-database-plugin-pgsql = %version-%release
Obsoletes: qtbase5-database-plugin-pgsql < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-pgsql
Database plugin for pgsql Qt support.

%files -n %{_lib}qt5-database-plugin-pgsql
%{_qt5_plugindir}/sqldrivers/libqsqlpsql.so

%endif

#------------------------------------------------------------------------------
# CORE QT LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtcore}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtcore}
Qt%{qtmajor} Component Library.

The QtCore module contains core non-GUI functionality.

%files -n %{libqtcore}
%{_qt5_libdir}/libQt5Core.so.%{qtmajor}*
# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430 
%ifarch %{ix86}
%{_qt5_libdir}/sse2/libQt5Core.so.%{qtmajor}*
%endif

#------------------------------------------------------------------------------

%package -n %{libqtcore_d}
Summary: Devel files needed to build apps based on QtCore
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtcore} = %version
Provides: libqtcore5-devel = %version
Provides: libqt5core-devel = %version
Provides: qt5core-devel = %version
Provides: qtcore5-devel = %version

Provides: qt5core-private-devel = %version
Provides: qtcore5-private-devel = %version

Obsoletes: %{_lib}qt5core-private-devel < 5.6.0-1
Provides:  %{_lib}qt5core-private-devel = %{version}-%{release}

%description -n %{libqtcore_d}
Devel files needed to build apps based on QtCore.

%files -n %{libqtcore_d}
%{_qt5_libdir}/libQt5Core.prl
%{_qt5_libdir}/libQt5Core.so
%{_qt5_libdir}/pkgconfig/Qt5Core.pc
%{_qt5_libdir}/cmake/Qt5Core
%{_qt5_libdir}/cmake/Qt5/Qt5Config.cmake
%{_qt5_libdir}/cmake/Qt5/Qt5ConfigVersion.cmake
%{_qt5_includedir}/QtCore

#------------------------------------------------------------------------------

%package -n %{libqtsql}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtsql}
Qt%{qtmajor} Component Library.

%files -n %{libqtsql}
%{_qt5_libdir}/libQt5Sql.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtsql_d}
Summary: Devel files needed to build apps based on QtSql
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtsql} = %version
%if ! %without odbc 
Requires: qtbase5-database-plugin-odbc
%endif
%if ! %without tds
Requires: qtbase5-database-plugin-tds
%endif
%if ! %without mysql
Requires: qtbase5-database-plugin-mysql
%endif
%if ! %without postgres
Requires: qtbase5-database-plugin-pgsql
%endif
%if ! %without sqlite
Requires: qtbase5-database-plugin-sqlite
%endif
Provides: libqtsql5-devel = %version
Provides: libqt5sql-devel = %version
Provides: qt5sql-devel = %version
Provides: qtsql5-devel = %version

Provides: libqtsql5-private-devel = %version
Provides: libqt5sql-private-devel = %version
Provides: qt5sql-private-devel = %version
Provides: qtsql5-private-devel = %version

Obsoletes: %{_lib}qt5sql-private-devel < 5.6.0-1
Provides:  %{_lib}qt5sql-private-devel = %{version}-%{release}

%description -n %{libqtsql_d}
Devel files needed to build apps based on QtSql.

%files -n %{libqtsql_d}
%{_qt5_libdir}/libQt5Sql.prl
%{_qt5_libdir}/libQt5Sql.so
%{_qt5_libdir}/pkgconfig/Qt5Sql.pc
%{_qt5_libdir}/cmake/Qt5Sql
%{_qt5_includedir}/QtSql

#------------------------------------------------------------------------------

%package -n %{libqtdbus}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtdbus}
Qt%{qtmajor} Component Library.

The QtCore module contains core non-GUI functionality.

%files -n %{libqtdbus}
%{_qt5_libdir}/libQt5DBus.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtdbus_d}
Summary: Devel files needed to build apps based on QtCore
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtdbus} = %version
Provides: libqtdbus5-devel = %version
Provides: libqt5dbus-devel = %version
Provides: qt5dbus-devel = %version
Provides: qtdbus5-devel = %version

Provides: qt5dbus-private-devel = %version
Provides: qtdbus5-private-devel = %version

Obsoletes: %{_lib}qt5dbus-private-devel < 5.6.0-1
Provides:  %{_lib}qt5dbus-private-devel = %{version}-%{release}

%description -n %{libqtdbus_d}
Devel files needed to build apps based on QtCore.

%files -n %{libqtdbus_d}
%{_qt5_libdir}/libQt5DBus.prl
%{_qt5_libdir}/libQt5DBus.so
%{_qt5_libdir}/pkgconfig/Qt5DBus.pc
%{_qt5_libdir}/cmake/Qt5DBus
%{_qt5_includedir}/QtDBus

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent}
Summary: Qt%{qtmajor} 3D Lib
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtconcurrent}
Qt%{qtmajor} 3D Lib.

%files -n %{libqtconcurrent}
%{_qt5_libdir}/libQt5Concurrent.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent_d}
Summary: Devel files needed to build apps based on QtConcurrent
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtconcurrent} = %version
Provides: libqtconcurrent5-devel = %version
Provides: libqt5concurrent-devel = %version
Provides: qt5concurrent-devel = %version
Provides: qtconcurrent5-devel = %version

%description -n %{libqtconcurrent_d}
Devel files needed to build apps based on QtConcurrent.

%files -n %{libqtconcurrent_d}
%{_qt5_libdir}/libQt5Concurrent.so
%{_qt5_libdir}/libQt5Concurrent.prl
%{_qt5_libdir}/pkgconfig/Qt5Concurrent.pc
%{_qt5_libdir}/cmake/Qt5Concurrent
%{_qt5_includedir}/QtConcurrent

#------------------------------------------------------------------------------

%package -n %{libqtgui}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}
# (doktor5000) glxinfo binary required by script qt5-check-opengl2.sh
Requires: glxinfo

%description -n %{libqtgui}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtgui}
%{_qt5_libdir}/libQt5Gui.so.%{qtmajor}*
# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430 
%ifarch %{ix86}
%{_qt5_libdir}/sse2/libQt5Gui.so.%{qtmajor}*
%endif
%{_qt5_plugindir}/imageformats/
%{_qt5_plugindir}/platforminputcontexts
%{_qt5_plugindir}/platformthemes
%{_qt5_plugindir}/platforms
%{_sysconfdir}/X11/xinit.d/qt5-check-opengl2.sh

#------------------------------------------------------------------------------

%package -n %{libqtgui_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common = %{version}-%{release}
Requires:  %name-common-devel = %{version}-%{release}
#(nl) see : https://bugreports.qt-project.org/browse/QTBUG-39859
Requires: mesaegl-devel
Requires: %{libqtgui} = %version
# referenced by Qt5Gui cmake files
Requires:  %{libqtxcbqpa_d} = %{version}-%{release}
Requires:  %{libqtegldeviceintegration_d} = %{version}-%{release}

Provides: libqtgui5-devel = %version
Provides: libqt5gui-devel = %version
Provides: qtgui5-devel = %version
Provides: qt5gui-devel = %version

Obsoletes: %{_lib}qt5gui-private-devel < 5.6.0-1
Provides:  %{_lib}qt5gui-private-devel = %{version}-%{release}

Provides: qtgui5-private-devel = %version
Provides: qt5gui-private-devel = %version

%description -n %{libqtgui_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtgui_d}
%{_qt5_libdir}/libQt5Gui.prl
%{_qt5_libdir}/libQt5Gui.so
%{_qt5_libdir}/pkgconfig/Qt5Gui.pc
%{_qt5_libdir}/cmake/Qt5Gui
%{_qt5_includedir}/QtGui

#------------------------------------------------------------------------------

%package -n %{libqtnetwork}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtnetwork}
Qt%{qtmajor} Component Library.

The QtNetwork module provides classes to make network programming easier
and portable.

%files -n %{libqtnetwork}
%{_qt5_libdir}/libQt5Network.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtnetwork_d}
Summary: Devel files needed to build apps based on QtNetwork
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtnetwork} = %version
Provides: libqtnetwork5-devel = %version
Provides: libqt5network-devel = %version
Provides: qtnetwork5-devel = %version
Provides: qt5network-devel = %version

Obsoletes: %{_lib}qt5network-private-devel < 5.6.0-1
Provides:  %{_lib}qt5network-private-devel = %{version}-%{release}

Provides: qtnetwork5-private-devel = %version
Provides: qt5network-private-devel = %version

%description -n %{libqtnetwork_d}
Devel files needed to build apps based on QtNetwork.

%files -n %{libqtnetwork_d}
%{_qt5_libdir}/libQt5Network.prl
%{_qt5_libdir}/libQt5Network.so
%{_qt5_libdir}/pkgconfig/Qt5Network.pc
%{_qt5_libdir}/cmake/Qt5Network
%{_qt5_includedir}/QtNetwork

#------------------------------------------------------------------------------

%package -n %{libqtopengl}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtopengl}
Qt%{qtmajor} Component Library.

The QtOpenGL module offers classes that make it easy to use OpenGL in 
Qt applications.

%files -n %{libqtopengl}
%{_qt5_libdir}/libQt5OpenGL.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtopengl_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtopengl} = %version
Provides: libqtopengl5-devel = %version
Provides: libqt5opengl-devel = %version
Provides: qtopengl5-devel = %version
Provides: qt5opengl-devel = %version

Obsoletes: %{_lib}qt5opengl-private-devel < 5.6.0-1
Provides:  %{_lib}qt5opengl-private-devel = %{version}-%{release}

Provides: qtopengl5-private-devel = %version
Provides: qt5opengl-private-devel = %version

%description -n %{libqtopengl_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtopengl_d}
%{_qt5_libdir}/libQt5OpenGL.prl
%{_qt5_libdir}/libQt5OpenGL.so
%{_qt5_libdir}/libQt5OpenGLExtensions.a
%{_qt5_libdir}/libQt5OpenGLExtensions.prl
%{_qt5_libdir}/pkgconfig/Qt5OpenGLExtensions.pc
%{_qt5_libdir}/pkgconfig/Qt5OpenGL.pc
%{_qt5_libdir}/cmake/Qt5OpenGL
%{_qt5_libdir}/cmake/Qt5OpenGLExtensions/
%{_qt5_includedir}/QtOpenGL
%{_qt5_includedir}/QtOpenGLExtensions

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtprintsupport}
Qt%{qtmajor} Lib.

%files -n %{libqtprintsupport}
%{_qt5_libdir}/libQt5PrintSupport.so.%{qtmajor}*
%{_qt5_plugindir}/printsupport

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport_d}
Summary: Devel files needed to build apps based on QtPrintSupport
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtprintsupport} = %version
Provides: libqtprintsupport5-devel = %version
Provides: libqt5printsupport-devel = %version
Provides: qtprintsupport5-devel = %version
Provides: qt5printsupport-devel = %version

Obsoletes: %{_lib}qt5printsupport-private-devel < 5.6.0-1
Provides:  %{_lib}qt5printsupport-private-devel = %{version}-%{release}

Provides: qtprintsupport5-private-devel = %version
Provides: qt5printsupport-private-devel = %version

%description -n %{libqtprintsupport_d}
Devel files needed to build apps based on QtPrintSupport.

%files -n %{libqtprintsupport_d}
%{_qt5_libdir}/libQt5PrintSupport.so
%{_qt5_libdir}/libQt5PrintSupport.prl
%{_qt5_libdir}/pkgconfig/Qt5PrintSupport.pc
%{_qt5_libdir}/cmake/Qt5PrintSupport
%{_qt5_includedir}/QtPrintSupport

#------------------------------------------------------------------------------

%package -n %{libqttest}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqttest}
Qt%{qtmajor} Component Library.

The QtTest module provides classes for unit testing Qt applications and
libraries.

%files -n %{libqttest}
%{_qt5_libdir}/libQt5Test.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqttest_d}
Summary: Devel files needed to build apps based on QtTest
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqttest} = %version
Requires: %{libqttest_d} = %version
Provides: libqttest5-devel = %version
Provides: libqt5test-devel = %version
Provides: qttest5-devel = %version
Provides: qt5test-devel = %version

Obsoletes: %{_lib}qt5test-private-devel < 5.6.0-1
Provides:  %{_lib}qt5test-private-devel = %{version}-%{release}

Provides: qttest5-private-devel = %version
Provides: qt5test-private-devel = %version

Requires: qtwidgets5-devel = %version-%release

%description -n %{libqttest_d}
Devel files needed to build apps based on QtTest.

%files -n %{libqttest_d}
%{_qt5_libdir}/libQt5Test.prl
%{_qt5_libdir}/libQt5Test.so
%{_qt5_libdir}/pkgconfig/Qt5Test.pc
%{_qt5_libdir}/cmake/Qt5Test
%{_qt5_includedir}/QtTest

#------------------------------------------------------------------------------

%package -n %{libqtwidgets}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtwidgets}
Qt%{qtmajor} Lib.

%files -n %{libqtwidgets}
%{_qt5_libdir}/libQt5Widgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtwidgets_d}
Summary: Devel files needed to build apps based on QtWidgets
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtwidgets} = %version
Provides: libqtwidgets5-devel = %version
Provides: libqt5widgets-devel = %version
Provides: qtwidgets5-devel = %version
Provides: qt5widgets-devel = %version

Obsoletes: %{_lib}qt5widgets-private-devel < 5.6.0-1
Provides:  %{_lib}qt5widgets-private-devel = %{version}-%{release}

Provides: qtwidgets5-private-devel = %version
Provides: qt5widgets-private-devel = %version

%description -n %{libqtwidgets_d}
Devel files needed to build apps based on QtWidgets.

%files -n %{libqtwidgets_d}
%{_qt5_libdir}/libQt5Widgets.so
%{_qt5_libdir}/libQt5Widgets.prl
%{_qt5_libdir}/pkgconfig/Qt5Widgets.pc
%{_qt5_libdir}/cmake/Qt5Widgets
%{_qt5_includedir}/QtWidgets

#------------------------------------------------------------------------------

%package -n %{libqtxml}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtxml}
Qt%{qtmajor} Component Library.

The QtXml module provides a stream reader and writer for XML documents,
and C++ implementations of SAX and DOM.

%files -n %{libqtxml}
%{_qt5_libdir}/libQt5Xml.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtxml_d}
Summary: Devel files needed to build apps based on QtXml
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtxml} = %version
Provides: libqtxml5-devel = %version
Provides: libqt5xml-devel = %version
Provides: qtxml5-devel = %version
Provides: qt5xml-devel = %version

%description -n %{libqtxml_d}
Devel files needed to build apps based on QtXml.

%files -n %{libqtxml_d}
%{_qt5_libdir}/libQt5Xml.prl
%{_qt5_libdir}/libQt5Xml.so
%{_qt5_libdir}/pkgconfig/Qt5Xml.pc
%{_qt5_libdir}/cmake/Qt5Xml
%{_qt5_includedir}/QtXml

#------------------------------------------------------------------------------

%package -n %{libqtplatformsupport_d}
Summary: Devel files needed to build apps based on QtPlatformSupport
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Provides: libqtplatformsupport5-devel = %version
Provides: libqt5platformsupport-devel = %version
Provides: qtplatformsupport5-devel = %version
Provides: qt5platformsupport-devel = %version
# For compatibility
Obsoletes: %{_lib}qt5platform-private-devel < 5.6.0
Provides:  %{_lib}qt5platform-private-devel = %{version}-%{release}

Provides: qtplatformsupport5-private-devel = %version
Provides: qt5platformsupport-private-devel = %version

%description -n %{libqtplatformsupport_d}
Devel files needed to build iapps based on QtPlatformSupport.

%files -n %{libqtplatformsupport_d}
%{_qt5_libdir}/libQt5PlatformSupport.a
%{_qt5_libdir}/libQt5PlatformSupport.prl
%{_qt5_includedir}/QtPlatformSupport
%{_qt5_includedir}/QtPlatformHeaders

#------------------------------------------------------------------------------

%package -n %{libqtbootstrap_d}
Summary: Devel files needed to build apps based on QtBootstrap
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Provides: libqtbootstrap5-devel = %version

%description -n %{libqtbootstrap_d}
Devel files needed to build apps based on QtBootstrap.

%files -n %{libqtbootstrap_d}
%{_qt5_libdir}/libQt5Bootstrap.a
%{_qt5_libdir}/libQt5Bootstrap.prl


#------------------------------------------------------------------------------

%package -n %{libqtegldeviceintegration}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtegldeviceintegration}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtegldeviceintegration}
%{_qt5_libdir}/libQt5EglDeviceIntegration.so.%{qtmajor}*
%{_qt5_plugindir}/egldeviceintegrations

#------------------------------------------------------------------------------

%package -n %{libqtegldeviceintegration_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtgui} = %version
Provides: libqtegldeviceintegration5-devel = %version
Provides: libqt5egldeviceintegration-devel = %version
Provides: qtegldeviceintegration5-devel = %version
Provides: qt5egldeviceintegration-devel = %version

%description -n %{libqtegldeviceintegration_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtegldeviceintegration_d}
%{_qt5_libdir}/libQt5EglDeviceIntegration.prl
%{_qt5_libdir}/libQt5EglDeviceIntegration.so

#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtxcbqpa}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtxcbqpa}
%{_qt5_libdir}/libQt5XcbQpa.so.%{qtmajor}*
%{_qt5_plugindir}/xcbglintegrations

#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtgui} = %version
Provides: libqtxcbqpa5-devel = %version
Provides: libqt5xcbqpa-devel = %version
Provides: qtxcbqpa5-devel = %version
Provides: qt5xcbqpa-devel = %version

%description -n %{libqtxcbqpa_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtxcbqpa_d}
%{_qt5_libdir}/libQt5XcbQpa.prl
%{_qt5_libdir}/libQt5XcbQpa.so

#------------------------------------------------------------------------------

%package -n %{libqtdevel}
Summary:   Development files for the Qt%{qtmajor} GUI toolkit
Group:     Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Provides:  qt5-devel = %{version}-%{release}
Provides:  qtbase5-devel = %{version}-%{release}
Provides:  libqtbase5-devel = %{version}-%{release}
Provides:  libqt5-devel = %{version}-%{release}

Requires:  %name-common-devel = %{version}-%{release}
Requires:  %{libqtconcurrent_d} = %{version}-%{release}
Requires:  %{libqtdbus_d} = %{version}-%{release}
Requires:  %{libqtcore_d} = %{version}-%{release}
Requires:  %{libqtsql_d} = %{version}-%{release}
Requires:  %{libqtgui_d} = %{version}-%{release}
Requires:  %{libqtnetwork_d} = %{version}-%{release}
Requires:  %{libqtopengl_d} = %{version}-%{release}
Requires:  %{libqtprintsupport_d} = %{version}-%{release}
Requires:  %{libqttest_d} = %{version}-%{release}
Requires:  %{libqtwidgets_d} = %{version}-%{release}
Requires:  %{libqtxml_d} = %{version}-%{release}
Requires:  %{libqtbootstrap_d} = %{version}-%{release}
Requires:  %{libqtxcbqpa_d} = %{version}-%{release}
Requires:  %{libqtegldeviceintegration_d} = %{version}-%{release}

%description -n %{libqtdevel}
The %{name}-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt
meta object compiler, and the static libraries.  See the address
http://qt-project.org/ for more information about Qt%{qtmajor}.

%files -n %{libqtdevel}

#-------------------------------------------------------------------

%package -n %name-common-devel
Summary:   Development files for the Qt%{qtmajor} GUI toolkit
Group:     Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}

%description -n %name-common-devel
Common files needed to build application based on Qt5

%post -n %name-common-devel
update-alternatives --install %{_bindir}/qmake qmake %{_qt5_bindir}/qmake 20

%postun -n %name-common-devel
if ! [ -e %{_qt5_bindir}/qmake ]; then
  update-alternatives --remove qmake %{_qt5_bindir}/qmake
fi

%files -n %name-common-devel
%{_sysconfdir}/rpm/macros.d/qt5.macros
%{_qt5_bindir}/moc
%{_qt5_bindir}/qdbusxml2cpp
%{_qt5_bindir}/qdbuscpp2xml
%{_qt5_bindir}/qmake
%{_qt5_bindir}/rcc
%{_qt5_bindir}/uic
%{_qt5_bindir}/qlalr
%{_qt5_bindir}/fixqt4headers.pl
%{_qt5_datadir}/mkspecs
%dir %{_qt5_libdir}/cmake
%if "%{_qt5_includedir}" != "%{_includedir}"
%dir %{_qt5_includedir}
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtbase-opensource-src-%{qtversion}
%autopatch -p1
# Unlike Fedora, we don't modify the installed mkspecs to contain our flags,
# which would have the side effect that plain 'qmake' would use them as well
# (i.e. even when not building an rpm), which is not really wanted. Our
# packages are built with %%qmake_qt5 (qt5.macros) which already overrides the
# flags, so altering qmake default configuration for that is unnecessary.
# Since the Qt configure script doesn't support defining custom flags, we
# still have to temporarily override the flags below - they are restored in
# %%install. -Anssi
cp mkspecs/linux-g++/qmake.conf mkspecs/linux-g++/qmake.conf.upstream
cat >> mkspecs/linux-g++/qmake.conf <<EOF
QMAKE_CFLAGS   = %{optflags}
QMAKE_CXXFLAGS = %{optflags}
QMAKE_LFLAGS   = %{ldflags}
QMAKE_STRIP    =
# Note that setting QMAKE_LFLAGS_PLUGIN here would do no good, as it would
# just get appended to $QMAKE_LFLAGS instead of replacing it.
EOF

sed -e "s|^QMAKE_CFLAGS_RELEASE .*$|QMAKE_CFLAGS_RELEASE    += %{optflags}  -fno-strict-aliasing -DPIC -fPIC| " -e 's|^QMAKE_CXXFLAGS .*|& -std=gnu++0x|' -i mkspecs/common/gcc-base.conf mkspecs/common/gcc-base-unix.conf

%if 0
# set correct lib path (from fedora)
if [ "%{_lib}" == "lib64" ] ; then
    sed -i -e "s,/usr/lib /lib,/usr/%{_lib} /%{_lib},g" config.tests/{unix,x11}/*.test
    sed -i -e "s,/lib /usr/lib,/%{_lib} /usr/%{_lib},g" config.tests/{unix,x11}/*.test
fi
%endif

%build
export QTDIR=`/bin/pwd`
export PATH="$PWD/bin:$PWD/qtrepotools/bin:$PATH"
export QMAKESPEC=$PWD/mkspecs/linux-g++
# Don't include headers or link with /usr/X11R6/{include,lib}
perl -pi -e 's@/X11R6/@/@' mkspecs/linux-*/qmake.conf mkspecs/common/linux.conf

#------------------------------------------------------------------------------

# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430 
# -no-sse2: compile by default without sse2 support on i586, which also requires
# -no-pch:  do not use pre compiled headers (in order to be able to rebuild the gui submodule)

./configure -v \
    -confirm-license \
    -opensource \
    -optimized-qmake \
    -prefix %{_qt5_prefix} \
    -bindir %{_qt5_bindir} \
    -datadir %{_qt5_datadir} \
    -docdir %{_qt5_docdir} \
    -examplesdir %{_qt5_examplesdir} \
    -headerdir %{_qt5_includedir} \
    -importdir %{_qt5_importdir} \
    -libdir %{_qt5_libdir} \
    -plugindir %{_qt5_plugindir} \
    -sysconfdir %{_qt5_sysconfdir} \
    -translationdir %{_qt5_translationdir} \
%ifarch %ix86
    -no-sse2 \
%endif
%if %with debug
    -debug \
    -verbose \
    -developer-build \
%else
    -release \
    -silent \
%endif
    -shared \
    -no-separate-debug-info \
    -no-rpath \
    -no-pch \
    -reduce-relocations \
    -openssl-linked \
    -dbus-linked \
%if %{with qvfb}   
   -qvfb \
%endif
    -gtkstyle \
    -opengl desktop \
    -platform linux-g++ \
    -sm \
    -system-libpng \
    -system-libjpeg \
    -system-zlib \
    -xinput \
    -xcursor \
    -xfixes \
    -xinerama \
    -xshape \
    -xrandr \
    -xkb \
    -system-xkbcommon \
    -system-harfbuzz \
    -glib \
    -gstreamer 1.0 \
    -journald \
%if ! %{with_cups}
    -no-cups \
%endif
%if ! %without postgres
    -plugin-sql-psql \
%endif
%if ! %without mysql
    -plugin-sql-mysql \
%else
    -no-sql-mysql \
%endif
%if %with ibase
    -plugin-sql-ibase \
%else
    -no-sql-ibase \
%endif
%if ! %without sqlite
    -plugin-sql-sqlite \
    -system-sqlite \
    -no-sql-sqlite2 \
%else
    -no-sql-sqlite \
    -no-sql-sqlite2 \
%endif
%if ! %without odbc
    -plugin-sql-odbc \
%else
    -no-sql-odbc \
%endif
%if %without examples
    -nomake examples
%endif

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"

################## Build of QtBase ########################################

make -j $RPM_BUILD_NCPUS

################## Build of Docs ########################################
%if %{build_docs}
# HACK to avoid multilib conflicts in noarch content
# see also https://bugreports.qt-project.org/browse/QTBUG-42071
QT_HASH_SEED=0; export QT_HASH_SEED

%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430 
# first rebuild relevant libraries with SSE2 support, install to %{_qt5_libdir}/sse2/
# taken from Debian - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=754894

%ifarch %{ix86}
mkdir -p %{buildroot}/%{_qt5_libdir}/sse2
	# corelib needs make clean first to be able to rebuild
	pushd src/corelib; make clean ; ../../bin/qmake -config sse2; make
	cp -av ../../lib/libQt5Core.so.* %{buildroot}/%{_qt5_libdir}/sse2/
	popd
	# gui on turn doesn't needs it, and actually fails if done.
	pushd src/gui; ../../bin/qmake -config sse2; make
	cp -av ../../lib/libQt5Gui.so.* %{buildroot}/%{_qt5_libdir}/sse2/
	popd
%endif

install -d %{buildroot}/%{_qt5_docdir}
install -d %{buildroot}/%{_sysconfdir}
install -d %{buildroot}/%{_sysconfdir}/profile.d

# recreate .qm files
#LD_LIBRARY_PATH=`pwd`/lib bin/lrelease translations/*.ts

%if %{with qvfb}
    # Install qvfb
    %make -C tools/qvfb INSTALL_ROOT=%{buildroot} install
%else
rm -f %{buildroot}%{_qt5_translationdir}/qvfb*.qm
%endif


# Fix mkspec link
pushd  %{buildroot}/%{_qt5_datadir}/mkspecs
rm -f default
ln -sf %{_qt5_datadir}/mkspecs/linux-g++ default
popd

# Restore qmake.conf to the upstream version which was backed up in %%prep
mv %{buildroot}%{_qt5_datadir}/mkspecs/linux-g++/qmake.conf.upstream %{buildroot}%{_qt5_datadir}/mkspecs/linux-g++/qmake.conf

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec sed -i -e "s, -L%{_builddir}/?\S+,,g" -e "s,-L../JavaScriptCore/release,,g" -e "s,-ljscore,,g" {} \;
find %{buildroot}/%{_qt5_datadir}/mkspecs -name 'qmake.conf' -exec chmod -x -- {} \;
find %{buildroot}/%{_qt5_datadir}/mkspecs -name Info.plist.app -exec chmod -x -- {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# Install rpm macros
mkdir -p %{buildroot}/%{_sysconfdir}/rpm/macros.d
install -m 0644 %SOURCE2 %{buildroot}/%{_sysconfdir}/rpm/macros.d

# Install Compat software OpenGL 1.x
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
install -m 0755 %SOURCE3 %{buildroot}%{_sysconfdir}/X11/xinit.d/qt5-check-opengl2.sh

# Profiles
cat > %{buildroot}/%{_sysconfdir}/profile.d/60qt5.sh << EOF
#!/bin/bash
QTDIR5="%{_qt5_prefix}" ; export QTDIR5 ;

[ -z \$QT5DOCDIR ] && export QT5DOCDIR=%{_qt5_docdir}

if [ -z \$(echo \$PATH | grep "%{_qt5_bindir}") ]; then
    PATH=\${PATH}:%{_qt5_bindir}
    export PATH
fi

EOF

cat > %{buildroot}/%{_sysconfdir}/profile.d/60qt5.csh << EOF
#!/bin/csh
setenv QTDIR5 %{_qt5_prefix}
if ( ! \$?QT5DOCDIR ) setenv QT5DOCDIR %{_qt5_docdir}
set path = (\$path \$QTDIR5/bin)
EOF



# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
# .a files are needed by qttols5
#rm -f %%{buildroot}%%{_qt5_libdir}/lib*.a



%changelog
* Sat Jul 01 2017 luigiwalser <luigiwalser> 5.6.2-11.mga6
+ Revision: 1108894
- add upstream patch via opensuse to fix security issue (bsc#1034005)

* Thu Mar 30 2017 neoclust <neoclust> 5.6.2-10.mga6
+ Revision: 1095279
- Revert branch commits, this does not fix our panel crash

* Wed Mar 29 2017 neoclust <neoclust> 5.6.2-9.mga6
+ Revision: 1095202
- Update to 5.6 branch to help to fix plasma crashes

* Mon Mar 20 2017 akien <akien> 5.6.2-8.mga6
+ Revision: 1093710
- Rebuild against bootstrapped qtbase5

* Mon Mar 20 2017 neoclust <neoclust> 5.6.2-7.mga6
+ Revision: 1093670
- Rebuild against new icu
- Sync with 5.6 branch

* Sun Jan 01 2017 neoclust <neoclust> 5.6.2-6.mga6
+ Revision: 1079241
- Fix Requires

* Sat Dec 31 2016 luigiwalser <luigiwalser> 5.6.2-5.mga6
+ Revision: 1078907
- fix requires for qt5gui-devel

  + daviddavid <daviddavid>
    - enable libproxy and tslib support

* Tue Dec 13 2016 neoclust <neoclust> 5.6.2-3.mga6
+ Revision: 1074459
- enable journald support

* Tue Dec 13 2016 stormi <stormi> 5.6.2-2.mga6
+ Revision: 1074432
- Add build dependency to pkgconfig(sm) for mga#16850

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064875
- New version 5.6.2

* Sat Oct 29 2016 neoclust <neoclust> 5.6.1-14.mga6
+ Revision: 1063879
- Add P101: Fix a dolphin crash (  bko #359758 )

* Sat Sep 03 2016 daviddavid <daviddavid> 5.6.1-13.mga6
+ Revision: 1049966
- fix conflicting doc files: '/usr/share/doc/qt5/global/' should not be in
  doc subpackage as they are already in common subpackage

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-12.mga6
+ Revision: 1049772
- recommends qttools5-assistant instead
- use 'make docs' instead

* Wed Aug 31 2016 daviddavid <daviddavid> 5.6.1-11.mga6
+ Revision: 1049625
- build missing docs part (mga#9812)
- add qtbase5-doc subpackage
- fix qt5-check-opengl2.sh file permission (mga#19238)

* Wed Jun 29 2016 neoclust <neoclust> 5.6.1-10.mga6
+ Revision: 1038090
- New version

* Wed Jun 01 2016 neoclust <neoclust> 5.6.0-10.mga6
+ Revision: 1019678
- More fixes on obsoletes

* Tue May 31 2016 neoclust <neoclust> 5.6.0-9.mga6
+ Revision: 1019581
- Fix typo in obsoletes

* Fri May 13 2016 shlomif <shlomif> 5.6.0-8.mga6
+ Revision: 1014946
- Rebuild for new ICU

  + neoclust <neoclust>
    - Requires cmake-rpm-macros at build time

* Mon May 02 2016 neoclust <neoclust> 5.6.0-6.mga6
+ Revision: 1008638
- Fix obsoletes

* Sat Apr 23 2016 neoclust <neoclust> 5.6.0-5.mga6
+ Revision: 1005489
- Force to use gstreamer 1.0

* Sun Apr 10 2016 doktor5000 <doktor5000> 5.6.0-4.mga6
+ Revision: 1000164
- add Requires on glxinfo needed for script qt5-check-opengl2.sh

* Mon Apr 04 2016 neoclust <neoclust> 5.6.0-3.mga6
+ Revision: 998360
- Rebuild to make this fix available on ARM

* Sat Apr 02 2016 zezinho <zezinho> 5.6.0-2.mga6
+ Revision: 997651
- Add Fedora xinit script to allow software on OpenGL 1 hardware (mga#17912)

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992267
- New version 5.6.0

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.4.mga6
+ Revision: 987814
- Rebuild Qt5 Stack to fix plasma crashes

* Thu Mar 03 2016 umeabot <umeabot> 5.6.0-0.rc.3.mga6
+ Revision: 983980
- Rebuild for openssl

* Wed Mar 02 2016 blino <blino> 5.6.0-0.rc.2.mga6
+ Revision: 981754
- rebuild for new openssl

* Mon Feb 29 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980698
- New version 5.6.0 rc

* Sun Jan 24 2016 neoclust <neoclust> 5.6.0-0.beta.8.mga6
+ Revision: 926846
- Fix crash when opening files ( mga #17443 )

* Sat Jan 16 2016 akien <akien> 5.6.0-0.beta.7.mga6
+ Revision: 924753
- Properly obsolete the qtbase5-database-plugin-* from mga5 (mga#17371)

* Sat Jan 02 2016 luigiwalser <luigiwalser> 5.6.0-0.beta.6.mga6
+ Revision: 918283
- rebuild without directfb

* Fri Jan 01 2016 luigiwalser <luigiwalser> 5.6.0-0.beta.5.mga6
+ Revision: 917919
- rebuild for icu

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915980
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915773
- Rebuild against new cmake to have cmake() provides

* Sun Dec 20 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 912726
- Remove private devel packages

* Fri Dec 18 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911700
- New version 5.6.0 beta

* Fri Dec 18 2015 neoclust <neoclust> 5.5.1-7.mga6
+ Revision: 911597
- Add fedora macro to remove qtk2 deps

* Mon Nov 30 2015 neoclust <neoclust> 5.5.1-6.mga6
+ Revision: 907321
- Add xcb as build deps

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-5.mga6
+ Revision: 900363
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.5.1-4.mga6
+ Revision: 900199
- Fix Qt config file storage location

* Wed Nov 04 2015 neoclust <neoclust> 5.5.1-3.mga6
+ Revision: 897772
- Rebuild to make availaable on ARM

* Tue Oct 27 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 895901
- Libify databases plugins

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894488
- New version
- New version

* Thu Oct 22 2015 blino <blino> 5.5.0-5.mga6
+ Revision: 894063
- revert upstream patch that forbids -reduce-relocations on ARM, since -Bsymbolic is fixed on ARM in ld 2.25 (QTBUG-36129 and binutils#16715)
- do not require qttranslations5 in bootstrap (it needs qtbase to be built)
- remove unused local_phonon_package build conditional

* Sun Sep 06 2015 neoclust <neoclust> 5.5.0-4.mga6
+ Revision: 873566
- Rebuild against new sqlite ( 3.8.11.1 )

* Sun Sep 06 2015 neoclust <neoclust> 5.5.0-3.mga6
+ Revision: 873354
- Rebuild against new sqlite

* Sat Jul 25 2015 cjw <cjw> 5.5.0-2.mga6
+ Revision: 857253
- rebuild for icu 55

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853374
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;
- Delete old patches and sources;

* Mon Jun 22 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 839338
- New version 5.5 rc

* Wed Apr 22 2015 luigiwalser <luigiwalser> 5.4.0-7.mga5
+ Revision: 820558
- add patches from fedora to fix CVE-2015-1858, CVE-2015-1859, and CVE-2015-1860

* Sat Feb 28 2015 lmenut <lmenut> 5.4.0-6.mga5
+ Revision: 817205
- add upstream patch to fix DoS vulnerability in the BMP image handler
  (CVE-2015-0295) mga#15383

* Sun Feb 08 2015 doktor5000 <doktor5000> 5.4.0-5.mga5
+ Revision: 814176
- added upstream patch to fix broken drag&drop for 5.4.0 (QTBUG-43436)

* Tue Jan 06 2015 cjw <cjw> 5.4.0-4.mga5
+ Revision: 808796
- sync csh profile script with sh profile script and add needed escape chars (mga #12826)

* Sat Dec 27 2014 neoclust <neoclust> 5.4.0-3.mga5
+ Revision: 806365
- Add csh/tcsh profile support mga #12826

* Tue Dec 23 2014 neoclust <neoclust> 5.4.0-2.mga5
+ Revision: 805003
- Fix Requires for translations Mga#13993 #14746

* Thu Dec 11 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802720
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-7.mga5
+ Revision: 802011
- New version 5.3.2

* Sat Nov 29 2014 doktor5000 <doktor5000> 5.3.1-7.mga5
+ Revision: 799847
- disable SSE2 on %%ix86 otherwise QT crashes on processors without SSE2
  o fixes (mga#13991), (mga#14229), (mga#14418), (mga#14491)
- provide SSE2-enabled library in separate subdir as recommended by upstream
  o SSE2 library located in %%{_qt5_libdir}/sse2/

* Tue Nov 25 2014 cjw <cjw> 5.3.1-6.mga5
+ Revision: 799031
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-5.mga5
+ Revision: 744026
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 lmenut <lmenut> 5.3.1-4.mga5
+ Revision: 738085
- fix duplicated /usr/lib(64)/qt5/bin in $PATH"

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Tue Aug 05 2014 neoclust <neoclust> 5.3.1-3.mga5
+ Revision: 659910
- Add new macro %%_qt5_qml

* Thu Jul 03 2014 neoclust <neoclust> 5.3.1-2.mga5
+ Revision: 642870
- Workaround a bug in Qt 5.3.1

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639773
- 5.3.1
- update url

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624039
- 5.3.0 final

* Sun May 18 2014 sander85 <sander85> 5.3.0-0.rc.2.mga5
+ Revision: 623527
- Rebuild for directfb

  + fwang <fwang>
    - drop old tarball

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621401
- 5.3.0 rc1

* Thu May 01 2014 luigiwalser <luigiwalser> 5.3.0-0.beta.2.mga5
+ Revision: 619144
- rebuild for directfb

* Sat Apr 05 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 611995
- 5.3.0beta

* Sat Apr 05 2014 wally <wally> 5.3.0-0.alpha.2.mga5
+ Revision: 611893
- rebuild for new icu

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598773
- New version 5.3.0 Alpha1

* Mon Feb 17 2014 neoclust <neoclust> 5.2.1-4.mga5
+ Revision: 594070
+ rebuild (emptylog)

* Mon Feb 17 2014 neoclust <neoclust> 5.2.1-3.mga5
+ Revision: 594037
- Fix previous commit by moving requires in the good package

* Mon Feb 17 2014 neoclust <neoclust> 5.2.1-2.mga5
+ Revision: 593983
- Fix Requires in qtsql5-devel

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584171
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556694
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554396
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547083
- use xkbcommon instead
- br xcb-xkb

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547072
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538802
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490404
- New version 5.2.0 alpha

* Thu Sep 26 2013 fwang <fwang> 5.2.0-0.0.20130523.9.mga4
+ Revision: 486794
- rebuild for icu 52

* Sat Aug 10 2013 wally <wally> 5.2.0-0.0.20130523.8.mga4
+ Revision: 465090
- add more cmake fixes (rediff patch)

* Sat Aug 10 2013 neoclust <neoclust> 5.2.0-0.0.20130523.7.mga4
+ Revision: 465081
- Add fedora patch to fix cmake path search

* Sun Jun 02 2013 fwang <fwang> 5.2.0-0.0.20130523.6.mga4
+ Revision: 434633
- rebuild for new libpng

* Tue May 28 2013 neoclust <neoclust> 5.2.0-0.0.20130523.5.mga4
+ Revision: 429226
- No more ld.so.conf.d needed as we moved the libs in %%_libdir

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.4.mga4
+ Revision: 428776
- Adapt to new lib tree on macros

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.3.mga4
+ Revision: 428745
- Try to move libs in %%_libdir

* Sun May 26 2013 fwang <fwang> 5.2.0-0.0.20130523.2.mga4
+ Revision: 427996
- rebuild for new icu

* Thu May 23 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 425324
- New Qt 5.2 Snapshot

* Tue Apr 16 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410186
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-2.mga3
+ Revision: 394069
- Fix Requires

* Fri Feb 01 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393866
- New version 5.0.1 Final

* Wed Jan 30 2013 neoclust <neoclust> 5.0.1-0.rc1.8.mga3
+ Revision: 393551
- Add Requires

* Wed Jan 30 2013 neoclust <neoclust> 5.0.1-0.rc1.7.mga3
+ Revision: 393536
- Add macro about makeinstall for qt apps

* Tue Jan 29 2013 neoclust <neoclust> 5.0.1-0.rc1.6.mga3
+ Revision: 393126
- Make qtbase5-devel a metapackage

* Tue Jan 29 2013 neoclust <neoclust> 5.0.1-0.rc1.5.mga3
+ Revision: 393072
- Split cmake files  out of main devel packages
- Split private headers out of devel packages
- Rename devel packages

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.4.mga3
+ Revision: 392561
- Add openvg support

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.3.mga3
+ Revision: 392554
- Try to fix gstreamer support

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.2.mga3
+ Revision: 392544
- Try to add gstreamer support

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392329
- New version 5.0.1 rc1

* Fri Jan 25 2013 fwang <fwang> 5.0.0-12.mga3
+ Revision: 392253
- unify qt5 doc dir
- use xz

* Fri Jan 25 2013 fwang <fwang> 5.0.0-11.mga3
+ Revision: 392220
- drop invalid provides as it will conflicts with qt4
- only call ldconfig when acturall libs are installed
- move ldconfig script into conditioned location

* Fri Jan 25 2013 fwang <fwang> 5.0.0-10.mga3
+ Revision: 392205
- add rpm file triggers so that ldconfig is alwasy run

* Thu Jan 24 2013 neoclust <neoclust> 5.0.0-9.mga3
+ Revision: 392006
- Fix typo in macros

* Thu Jan 24 2013 neoclust <neoclust> 5.0.0-8.mga3
+ Revision: 391945
- Fix typo in macros

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-7.mga3
+ Revision: 391721
- Fix macros
- Fix typo in comment

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-6.mga3
+ Revision: 391719
- Add back ld.conf

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-5.mga3
+ Revision: 391695
- Revert path changes, as includes files conflicts with qt4

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-4.mga3
+ Revision: 391675
- First try to move libs in libdir

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-3.mga3
+ Revision: 391267
- Do not remove .a files

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-2.mga3
+ Revision: 379965
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 335181
- Qt  5.0.0 Final

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.4.mga3
+ Revision: 322896
- Add missing requires in the devel package

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.3.mga3
+ Revision: 322796
- New Qt5 rc1 daily snapshot

* Tue Nov 27 2012 neoclust <neoclust> 5.0.0-0.rc1.2.mga3
+ Revision: 322265
- Remove missing deps

* Mon Nov 26 2012 neoclust <neoclust> 5.0.0-0.rc1.1.mga3
+ Revision: 322187
- Daily rc snapshot

  + fwang <fwang>
    - update url

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.20.mga3
+ Revision: 319123
- Fix libs name

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.19.mga3
+ Revision: 319086
- Fix wrong requires in opengl package

* Fri Nov 16 2012 neoclust <neoclust> 5.0.0-0.beta.18.mga3
+ Revision: 318971
- Fix requires on the devel package

* Fri Nov 16 2012 neoclust <neoclust> 5.0.0-0.beta.17.mga3
+ Revision: 318400
- Add Master patch to rename libs and allow qt4/Qt5 co installation

* Thu Nov 15 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 318235
- imported package qtbase5

